#
# spec file for package SatConfig-bootstrap-server
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           SatConfig-bootstrap-server
Version:        1.13.3
Release:        1.3
Source0:        SatConfig-bootstrap-server-git-986a7e2ddde410d2e9c55f090e44f0934b3e8dc4.tar.gz
Summary:        Provides scout info for boostrap
Url:            https://fedorahosted.org/spacewalk
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
Requires:       perl-NOCpulse-OracleDB
%endif

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package dole out ID's and descriptions to bootstrapping scouts.



%prep
%setup -q -n SatConfig-bootstrap-server-git-986a7e2ddde410d2e9c55f090e44f0934b3e8dc4

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

# CGI bin
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/SatConfig
install -m 644 Bootstrap.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/SatConfig
install -m 644 TranslateKey.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/SatConfig

%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/NOCpulse/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 25 2011 mc@suse.de
- require perl-NOCpulse-OracleDB
* Wed Sep 15 2010 mantel@suse.de
- Initial release of SatConfig-bootstrap-server
